## org.apache.http.client.methods
Class HttpPost

    java.lang.Object
      org.apache.http.message.AbstractHttpMessage
          org.apache.http.client.methods.HttpRequestBase
              org.apache.http.client.methods.HttpEntityEnclosingRequestBase
                  org.apache.http.client.methods.HttpPost

All Implemented Interfaces:
  Cloneable, AbortableHttpRequest, HttpUriRequest, HttpEntityEnclosingRequest, HttpMessage, HttpRequest

    @NotThreadSafe
    public class HttpPost

extends HttpEntityEnclosingRequestBase

HTTP POST method.

The HTTP POST method is defined in section 9.5 of RFC2616:

> The POST method is used to request that the origin server accept the entity enclosed in the request as a new subordinate of the resource identified by the Request-URI in the Request-Line. POST is designed to allow a uniform method to cover the following functions:
> - Annotation of existing resources
> - Posting a message to a bulletin board, newsgroup, mailing list, or similar group of articles
> - Providing a block of data, such as the result of submitting a form, to a data-handling process
> - Extending a database through an append operation

Since:
  4.0

Field Summary
`static String` `METHOD_NAME`

Fields inherited from class org.apache.http.message.AbstractHttpMessage
`headergroup, params`

Constructor Summary
`HttpPost()`
`HttpPost(String uri)`
`HttpPost(URI uri)`

Method Summary
`String` `getMethod()` Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

Methods inherited from class org.apache.http.client.methods.HttpEntityEnclosingRequestBase
`clone, expectContinue, getEntity, setEntity`

Methods inherited from class org.apache.http.client.methods.HttpRequestBase
`abort, getProtocolVersion, getRequestLine, getURI, isAborted, setConnectionRequest, setReleaseTrigger, setURI`

Methods inherited from class org.apache.http.message.AbstractHttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.http.HttpRequest
`getRequestLine`

Methods inherited from interface org.apache.http.HttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Field Detail

### METHOD_NAME

    public static final String METHOD_NAME

See Also:
  Constant Field Values

Constructor Detail

### HttpPost

    public HttpPost()

### HttpPost

    public HttpPost(URI uri)

### HttpPost

    public HttpPost(String uri)

Throws:
  `IllegalArgumentException` - if the uri is invalid.

Method Detail

### getMethod

    public String getMethod()

  Description copied from interface: `HttpUriRequest`
  Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

  Specified by:
    `getMethod` in interface `HttpUriRequest`
  Specified by:
    `getMethod` in class `HttpRequestBase`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.